{% import "bootstrap/utils.html" as utils %}
{% import "bootstrap/wtf.html" as wtf %}
{% from "_formhelpers.html" import render_field %}
{% extends "Dash_layout.html" %}
{% block content %}   

<link href="/static/dash/css/jquery.dataTables.min.css" rel="stylesheet" media="screen">

<script src="/static/dash/js/jquery-3.5.1.js"></script>

<script type="text/javascript">$(document).ready(function() {
    $('#example').DataTable( {
        "scrollX": true
    } );
} );</script>

<div class="page-wrapper">
    <div class="container-fluid">


            <h1>Tickets</h1>
            <p>All support ticket from customers , (sent from customers dashboard) .</p><br>
            <div>

              <a href="" class="btn btn-danger" data-toggle="modal" data-target="#exampleModal"><i class="m-r-10 mdi mdi-ticket"></i> New Ticket</a>
          
              <!-- Modal -->
                      <form class="form-horizontal form-material" method="POST">
                          <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                          <div class="modal-dialog">
                          <div class="modal-content">
                              <div class="modal-header">
                              <h5 class="modal-title" id="exampleModalLabel"><i class="m-r-10 mdi mdi-ticket"></i> Create new ticket !</h5>
                              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                  <span aria-hidden="true">&times;</span>
                              </button>
                              </div>
                              
                              <div class="modal-body">
                              
                                      {{ form.csrf_token }}
          
                                      <div class="form-group">
                                          <label class="col-md-12">Subject : </label>
                                          <div class="col-md-12">
                                              {{ form.sub(rows=3, class_="form-control form-control-line")}}
                                          </div>
                                          {% for error in form.sub.errors %}<span style="color: red;">{{ error }}</span>{% endfor %}
                                      </div>

                                      <div class="form-group">
                                          <label class="col-md-12">Select User : </label>
                                          <div class="col-md-12">
                                              <select class="form-control form-control-line" aria-label="Default select example">
                                          {% for user in data.users  %}
                                          <option value="{{user.id}}">{{user.username}}</option>
                                          {% endfor %}
                                        </select>
                                          </div>
                                   
                                      </div>

                                    <div class="form-group">
                                          <label class="col-md-12">Priotiy : </label>
                                          <div class="col-md-12">
                                              {{ form.priotiy(rows=3, class_="form-control form-control-line")}}
                                          </div>
                                          {% for error in form.priotiy.errors %}<span style="color: red;">{{ error }}</span>{% endfor %}
                                      </div> 
          
                                      <div class="form-group">
                                          <label class="col-md-12">Message : </label>
                                          <div class="col-md-12">
                                              {{ form.msg(rows=3, class_="form-control form-control-line")}}
                                          </div>
                                          {% for error in form.msg.errors %}<span style="color: red;">{{ error }}</span>{% endfor %}
                                      </div>         
                               
                              </div>
                              <div class="modal-footer">
                                  <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                  <button type="submit" class="btn btn-danger" name="submit" value="submit"><i class="m-r-10 mdi mdi-ticket"></i> Create ticket</button>  
                              </div>
                          </div>
                          </div>
                      </form>
                      </div>
                  </div>
            <center>
                {% if error %}
                <p class=error><strong>Error:</strong> {{ error }}
                {% endif %}
                <br>
                {% with messages = get_flashed_messages(with_categories=true) %}
                {% if messages %}
                <div class="alert alert-{{ messages.0.0 }}" role="alert">
                {% for category, message in messages %}
                {{ message }} </br>
                {% endfor %}
                *</div>
                {% endif %}
                {% endwith %}
                </center>
                <br>
                
                <table id="example" class="display" style="width:100%">
                    <thead>
                        <tr>
                            <th>Subject</th>
                            <th>Status</th>
                            <th>Owner</th>
                            <th>Request at</th>
                            <th>Setting</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for ticket in data.tickets %}
                        <tr>
                            <td>{{ticket.sub}}</td>
                            <td>
                                {% if ticket.is_closed %}
                                <label class="label label-success">Open</label>
                                {%else%}
                                <label class="label label-danger">Closed</label>
                                {%endif%}
                            </td>
                            <td>{{ticket.users.username}}</td>
                            
                            <td>{{ticket.support_time.strftime('%A,%d,%Y || %H:%M')}}</td>
                            
                            <td>
                                <a class="m-r-10 mdi mdi-eye label label-primary" title="Show Ticket" href="{{ url_for('dash.openticket', ticket_id=ticket.id) }}"></a>
                                <a class="m-r-10 mdi mdi-delete label label-danger" title="Delete Ticket" onclick="return confirm('Are You Sure For Delete?')" href="{{ url_for('dash.delticket', id=ticket.id) }}"></a>
                       
                            </td>
                        </tr>
                        {% endfor %}
                   
           
                    </tfoot>
                </table>

    </div>
</div>

{% endblock content %}